/*
 
Copyright (C) NEC Corporation 2012. All Rights Reserved. 
Copyright (C) NEC Soft, Ltd. 2012. All Rights Reserved. 
 
This program is free software; you can redistribute it and/or
Modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation, version 2.
 
This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied 
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  See the GNU General Public License for more details.
 
*/


package com.necsoft.hinemos.webclient.jobmanagement.action;

import java.util.ArrayList;
import java.util.Locale;

import com.clustercontrol.jobmanagement.bean.RunScheduleDetailListTableDefine;
import com.necsoft.hinemos.webclient.bean.TableColumnInfoJs;
import com.necsoft.hinemos.webclient.common.SWT;
import com.necsoft.hinemos.webclient.jobmanagement.util.JobMappingUtil;
import com.necsoft.hinemos.webclient.lang.WebMessages;

/**
 * ジョブ[実行予定詳細]ビューの左側のテーブル定義を取得するクライアント側アクションクラス<BR>
 * 
 * マネージャにSessionBean経由でアクセスし、左側のテーブル定義を取得する
 * 
 */
public class GetRunScheduleDetailListTableDefine {

    /**
     * マネージャにSessionBean経由でアクセスし、<BR>
     * ジョブ[実行予定詳細]ビューの左側のテーブル定義を取得する
     * 
     * @return テーブル定義情報 （{@link com.clustercontrol.bean.TableColumnInfoJs}のリスト）
     */
    public static ArrayList<TableColumnInfoJs> get(Locale locale) {
        // テーブル定義配列
        ArrayList<TableColumnInfoJs> tableDefine = new ArrayList<TableColumnInfoJs>();
        // Locale locale = Locale.getDefault();

        tableDefine
                .add(RunScheduleDetailListTableDefine.TREE,
                        new TableColumnInfoJs(
                                "",
                                TableColumnInfoJs.NONE,
                                30,
                                SWT.LEFT,
                                JobMappingUtil
                                        .getRunScheduleDetailListName(RunScheduleDetailListTableDefine.TREE),
                                false));
        tableDefine
                .add(RunScheduleDetailListTableDefine.JOB_ID,
                        new TableColumnInfoJs(
                                WebMessages.getString("job.id", locale),
                                TableColumnInfoJs.NONE,
                                100,
                                SWT.LEFT,
                                JobMappingUtil
                                        .getRunScheduleDetailListName(RunScheduleDetailListTableDefine.JOB_ID),
                                false));
        tableDefine
                .add(RunScheduleDetailListTableDefine.JOB_NAME,
                        new TableColumnInfoJs(
                                WebMessages.getString("job.name", locale),
                                TableColumnInfoJs.NONE,
                                150,
                                SWT.LEFT,
                                JobMappingUtil
                                        .getRunScheduleDetailListName(RunScheduleDetailListTableDefine.JOB_NAME),
                                false));
        tableDefine
                .add(RunScheduleDetailListTableDefine.JOB_TYPE,
                        new TableColumnInfoJs(
                                WebMessages.getString("type", locale),
                                TableColumnInfoJs.JOB,
                                110,
                                SWT.LEFT,
                                JobMappingUtil
                                        .getRunScheduleDetailListName(RunScheduleDetailListTableDefine.JOB_TYPE),
                                false));
        tableDefine
                .add(RunScheduleDetailListTableDefine.CALENDAR_ID,
                        new TableColumnInfoJs(
                                WebMessages.getString("calendar.id", locale),
                                TableColumnInfoJs.NONE,
                                80,
                                SWT.LEFT,
                                JobMappingUtil
                                        .getRunScheduleDetailListName(RunScheduleDetailListTableDefine.CALENDAR_ID),
                                false));

        return tableDefine;
    }
}